Subject: smartd fails to send an email
From: Tomas Volf <[email-masked]>
To: [email-masked]
Date: Tue, 14 Jan 2025 02:36:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I have tried to write a service type for smartd from smartmontools,
however the bundled script fails.

When the test (-m root -M test) is executed, some programs seem to be
missing in the $PATH:

--8<---------------cut here---------------start------------->8---
Jan 14 01:34:19 localhost smartd[3138]: Executing test of <mail> to root ... 
Jan 14 01:34:19 localhost smartd[3138]: Test of <mail> to root produced unexpected output (118 bytes) to STDOUT/STDERR:  
Jan 14 01:34:19 localhost smartd[3138]: /gnu/store/ks6lnp8hssm9zkka47ysa4qp9xd9f8bv-smartmontools-7.4/etc/smartd_warning.sh: line 132: sed: command not found 
Jan 14 01:34:19 localhost smartd[3138]: Test of <mail> to root: failed (32-bit/8-bit exit status: 32512/127) 
--8<---------------cut here---------------end--------------->8---

At the start of the script I see:

--8<---------------cut here---------------start------------->8---
export PATH="/usr/local/bin:/usr/bin:/bin"
--8<---------------cut here---------------end--------------->8---

That does not look correct.  I am not sure if any wrapping is necessary.

Have a nice day,
Tomas

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.